Bug 1415527 - openocd-0.10.0 is available
Summary: openocd-0.10.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openocd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1429970
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 00:20 UTC by Upstream Release Monitoring
Modified: 2019-01-09 12:54 UTC (History)
6 users (show)

Fixed In Version: openocd-0.10.0-2.fc24 openocd-0.10.0-2.fc25 openocd-0.10.0-2.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 16:50:29 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (12.68 KB, patch)
2017-01-23 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
upsate-to-0.10.0.patch (4.47 KB, patch)
2017-02-27 09:14 UTC, Alex G.
no flags Details | Diff

Description Upstream Release Monitoring 2017-01-23 00:20:00 UTC
Latest upstream release: 0.10.0
Current version/release in rawhide: 0.9.0-4.fc25
URL: http://sourceforge.net/projects/openocd

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2557/

Comment 1 Upstream Release Monitoring 2017-01-23 00:20:42 UTC
Patching or scratch build for openocd-0.9.0 failed.

Comment 2 Upstream Release Monitoring 2017-01-23 00:20:44 UTC
Created attachment 1243489 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2017-01-23 00:20:47 UTC
Following patches has been deleted:
['joe-3.7-joerc.patch', 'joe-3.8-selinux.patch', 'joe-3.8-time.patch', 'joe-3.8-indent-ow.patch', 'joe-3.8-format-security.patch']

Comment 4 Upstream Release Monitoring 2017-01-23 00:20:49 UTC
Following patches has been unapplied:
['joe-3.8-aarch64.patch']

Comment 5 Alex G. 2017-02-27 09:14:08 UTC
Created attachment 1257972 [details]
upsate-to-0.10.0.patch

Here's a patch to update to 0.10.0. It's built on top of the patch in bug 1427016, but it's easy to rebase should you not want that patch.

Since we don't have libjaylink, J-Link will have to be disabled temporarily

Comment 6 Upstream Release Monitoring 2017-03-13 09:00:44 UTC
jkastner's openocd-0.10.0-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=868106

Comment 7 Fedora Update System 2017-03-13 09:47:31 UTC
openocd-0.10.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c454b866c3

Comment 8 Fedora Update System 2017-03-13 09:48:15 UTC
openocd-0.10.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-acdb006a64

Comment 9 Fedora Update System 2017-03-13 10:00:01 UTC
openocd-0.10.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-687179640e

Comment 10 Fedora Update System 2017-03-13 10:25:30 UTC
openocd-0.10.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f47c4e52bd

Comment 11 Fedora Update System 2017-03-13 10:26:04 UTC
openocd-0.10.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e29accb1cc

Comment 12 Fedora Update System 2017-03-13 10:26:43 UTC
openocd-0.10.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c546860d02

Comment 13 Upstream Release Monitoring 2017-03-13 10:29:34 UTC
jkastner's openocd-0.10.0-2.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=868129

Comment 14 Fedora Update System 2017-03-14 01:19:58 UTC
openocd-0.10.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c546860d02

Comment 15 Fedora Update System 2017-03-14 01:23:24 UTC
openocd-0.10.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e29accb1cc

Comment 16 Fedora Update System 2017-03-14 03:21:10 UTC
openocd-0.10.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f47c4e52bd

Comment 17 Fedora Update System 2017-03-21 16:50:29 UTC
openocd-0.10.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-21 22:55:48 UTC
openocd-0.10.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-04-01 16:59:33 UTC
openocd-0.10.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.